Package org.spongepowered.asm.mixin

## Class MixinEnvironment.Phase

- java.lang.Object
- - org.spongepowered.asm.mixin.MixinEnvironment.Phase

- Enclosing class:
    MixinEnvironment

      public static final class MixinEnvironment.Phase
      extends java.lang.Object

  Environment phase, deliberately not implemented as an enum

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MixinEnvironment.Phase` | `DEFAULT` | "Default" phase, during runtime
    `static MixinEnvironment.Phase` | `INIT` | "Initialisation" phase, after FML's deobf transformer has loaded
    `static MixinEnvironment.Phase` | `PREINIT` | "Pre initialisation" phase, everything before the tweak system begins to load the game

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MixinEnvironment.Phase` | `forName​(java.lang.String name)` | Get a phase by name, returns `null` if no phases exist with the specified name
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PREINIT

          public static final MixinEnvironment.Phase PREINIT

      "Pre initialisation" phase, everything before the tweak system begins to load the game

    - #### INIT

          public static final MixinEnvironment.Phase INIT

      "Initialisation" phase, after FML's deobf transformer has loaded

    - #### DEFAULT

          public static final MixinEnvironment.Phase DEFAULT

      "Default" phase, during runtime

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### forName

          public static MixinEnvironment.Phase forName​(java.lang.String name)

      Get a phase by name, returns `null` if no phases exist with the specified name
      Parameters:
        `name` - phase name to lookup
      Returns:
        phase object or `null` if non existent